Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1650402 - Missing a space between the two strings in the output of "iscsiadm -m node"
Summary: Missing a space between the two strings in the output of "iscsiadm -m node"
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: iscsi-initiator-utils
Version: 8.0
Hardware: Unspecified
OS: Linux
low
low
Target Milestone: rc
: 8.0
Assignee: Chris Leech
QA Contact: Martin Hoyer
URL:
Whiteboard:
Depends On:
Blocks: 1626486
TreeView+ depends on / blocked
 
Reported: 2018-11-16 05:47 UTC by Yihuang Yu
Modified: 2019-06-14 01:34 UTC (History)
3 users (show)

Fixed In Version: iscsi-initiator-utils-6.2.0.876-6.gitf3c8e90.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-14 01:34:53 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
upstream fix (831 bytes, patch)
2018-12-17 23:59 UTC, Chris Leech
no flags Details | Diff

Description Yihuang Yu 2018-11-16 05:47:59 UTC
Description of problem:
I run a command like "iscsiadm -m discovery -t sendtargets -p x.x.x.x" which returns correct message. When the target was been discovered and I sent "iscsiadm -m node" command, I thought the output message was missing a space between the two strings.

Version-Release number of selected component (if applicable):
iscsi-initiator-utils-6.2.0.876-5.gitf3c8e90.el8.ppc64le

How reproducible:
100%

Steps to Reproduce:
1.
# iscsiadm -m discovery -t sendtargets -p x.x.x.x
x.x.x.x:3260,1 iqn.2018-11.redhat.com-target

2.
# iscsiadm -m node

Actual results:
x.x.x.x:3260,1iqn.2018-11.redhat.com-target

Expected results:
x.x.x.x:3260,1 iqn.2018-11.redhat.com-target

Comment 2 Chris Leech 2018-12-17 23:59:09 UTC
Created attachment 1515185 [details]
upstream fix

Comment 6 Martin Hoyer 2019-02-20 14:28:41 UTC
Works as expected.
No regression found.


Note You need to log in before you can comment on or make changes to this bug.